CREATE TABLE USUARIOS(
	ID		    NUMBER PRIMARY KEY ,
	NOMBRE		VARCHAR(255) NOT NULL,
	APELLIDOS	VARCHAR(255) NOT NULL,
	USUARIO		VARCHAR(255) NOT NULL,
	CLAVE		VARCHAR(255) NOT NULL
);

CREATE SEQUENCE seq_usuarios
START WITH 1
INCREMENT BY 1
MAXVALUE 10000
NOCYCLE;

CREATE TABLE MEDICOS(
	ID				NUMBER PRIMARY KEY,
	NUM_COLEGIADO	VARCHAR(255) NOT NULL,
	CONSTRAINT FK_USUARIOS_MEDICOS_ID
	FOREIGN KEY (ID)
	REFERENCES USUARIOS(ID)
);

CREATE TABLE PACIENTES(
	ID			NUMBER PRIMARY KEY,
	NSS			VARCHAR(255) NOT NULL,
	NUM_TARJETA	VARCHAR(255) NOT NULL,
	TELEFONO	VARCHAR(255) NOT NULL,
	DIRECCION	VARCHAR(255) NOT NULL,
	CONSTRAINT FK_USUARIOS_PACIENTES_ID
	FOREIGN KEY (ID)
	REFERENCES USUARIOS(ID)
);

CREATE TABLE MEDICOS_PACIENTES(
	MEDICO_ID	NUMBER,
	PACIENTE_ID	NUMBER,
	CONSTRAINT MEDICOS_PACIENTES_PK
		PRIMARY KEY (MEDICO_ID, PACIENTE_ID),
	CONSTRAINT FK_MEDICOS_PACIENTES_MEDICO_ID
		FOREIGN KEY (MEDICO_ID)
		REFERENCES MEDICOS(ID),
	CONSTRAINT FK_PACIENTES_PACIENTES_PACIENTE_ID
		FOREIGN KEY (PACIENTE_ID)
		REFERENCES PACIENTES(ID)
);

CREATE TABLE CITAS(
	ID				NUMBER PRIMARY KEY,
	FECHA_HORA		DATE,
	MOTIVO_CITA 	VARCHAR(255),
	MEDICO_ID		NUMBER,
	PACIENTE_ID		NUMBER,
	CONSTRAINT FK_CITAS_MEDICO_ID
		FOREIGN KEY (MEDICO_ID)
		REFERENCES MEDICOS(ID),
	CONSTRAINT FK_CITAS_PACIENTE_ID
		FOREIGN KEY (PACIENTE_ID)
		REFERENCES PACIENTES(ID)

);

CREATE SEQUENCE seq_citas
START WITH 1
INCREMENT BY 1
MAXVALUE 10000
NOCYCLE;

CREATE TABLE DIAGNOSTICOS(
	ID						NUMBER PRIMARY KEY,
	VALORACION_ESPECIALISTA	VARCHAR(255),
	ENFERMEDAD				VARCHAR(255),
	CITA_ID 				NUMBER,
	CONSTRAINT FK_CITA_CITA_ID
		FOREIGN KEY (CITA_ID)
		REFERENCES CITAS(ID)
		ON DELETE CASCADE
);

CREATE SEQUENCE seq_diagnosticos
START WITH 1
INCREMENT BY 1
MAXVALUE 10000
NOCYCLE;



